C----
C---- $Id: lines.f,v 1.2 1995/11/10 14:16:22 hooft Exp $
C----
      SUBROUTINE LINEC (IMPORTANT,S) 
      INCLUDE       'SCATTER.INC' 
      CHARACTER*(*) S
      LOGICAL       IMPORTANT
      INTEGER       LENSTR, I, L
      CHARACTER*132 LOCLIN
      LOCLIN=S
      CALL GVSRDB (LOCLIN)
      IF (IMPORTANT) THEN
         IF (NXLINES.LT.MAXXLINES) THEN
            NXLINES=NXLINES+1
            XLINES(NXLINES)=LOCLIN
         END IF
      END IF
      L=LENSTR(LOCLIN)
      I=INDEX(LOCLIN,':')
      IF (I.GT.1.AND.I.LT.L.AND.I.LT.25) THEN
         WRITE (6,1010) LOCLIN(1:I-1),LOCLIN(I+1:L)
      ELSE
         WRITE (6,1000) LOCLIN(1:L)
      END IF
 1000 FORMAT (A)
 1010 FORMAT (A,T25,' : ',A)
      RETURN
      END

      SUBROUTINE LINECI (IMPORTANT,S,I) 
      CHARACTER*(*) S
      INTEGER       I, LENSTR
      LOGICAL       IMPORTANT
      CHARACTER*132 LOCLIN
      WRITE (LOCLIN,1000) S(1:LENSTR(S)),I
 1000 FORMAT (A,1X,I9)
      CALL LINEC (IMPORTANT,LOCLIN)
      RETURN
      END

      SUBROUTINE LINECIC (IMPORTANT,S,I,S2) 
      CHARACTER*(*) S, S2
      INTEGER       I, LENSTR
      LOGICAL       IMPORTANT
      CHARACTER*132 LOCLIN
      WRITE (LOCLIN,1000) S(1:LENSTR(S)),I,S2(1:LENSTR(S2))
 1000 FORMAT (A,1X,I9,1X,A)
      CALL LINEC (IMPORTANT,LOCLIN)
      RETURN
      END

      SUBROUTINE LINECR (IMPORTANT,S,R) 
      CHARACTER*(*) S
      REAL          R
      INTEGER       LENSTR
      LOGICAL       IMPORTANT
      CHARACTER*132 LOCLIN
      WRITE (LOCLIN,1000) S(1:LENSTR(S)),R
 1000 FORMAT (A,1X,G11.4)
      CALL LINEC (IMPORTANT,LOCLIN)
      RETURN
      END

      SUBROUTINE LINECRR (IMPORTANT,S,R,R2) 
      CHARACTER*(*) S
      REAL          R,R2
      INTEGER       LENSTR
      LOGICAL       IMPORTANT
      CHARACTER*132 LOCLIN
      WRITE (LOCLIN,1000) S(1:LENSTR(S)),R,R2
 1000 FORMAT (A,1X,G11.4,1X,G11.4)
      CALL LINEC (IMPORTANT,LOCLIN)
      RETURN
      END

      SUBROUTINE LINECRCR (IMPORTANT,S,R,S2,R2) 
      CHARACTER*(*) S,S2
      REAL          R,R2
      INTEGER       LENSTR
      LOGICAL       IMPORTANT
      CHARACTER*132 LOCLIN
      WRITE (LOCLIN,1000) S(1:LENSTR(S)),R,S2(1:LENSTR(S2)),R2
 1000 FORMAT (A,1X,G11.4,1X,A,1X,G11.4)
      CALL LINEC (IMPORTANT,LOCLIN)
      RETURN
      END

